com.smartgwt.client.widgets.grid.events

## Class EditCompleteEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<EditCompleteHandler>
        - - com.smartgwt.client.widgets.grid.events.EditCompleteEvent

-     public class EditCompleteEvent
      extends BrowserEvent<EditCompleteHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditCompleteEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(EditCompleteHandler handler)`
    `static <S extends HasEditCompleteHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<EditCompleteHandler>` | `getAssociatedType()`
    `int` | `getColNum()` index of the column that was saved, if applicable
    `DSResponse` | `getDsResponse()` for DataSource saves, DSResponse object returned
    `EditCompletionEvent` | `getEditCompletionEvent()` Event that led to the save
    `java.util.Map` | `getNewValues()` new values that were saved
    `Record` | `getNewValuesAsRecord()` new values that were saved
    `Record` | `getOldValues()` the complete original values from before the save occurred
    `int` | `getRowNum()` current index of the row that was saved
    `static com.google.gwt.event.shared.GwtEvent.Type<EditCompleteHandler>` | `getType()` Gets the type associated with this event.

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EditCompleteEvent

          public EditCompleteEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasEditCompleteHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                               com.google.gwt.core.client.JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<EditCompleteHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(EditCompleteHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<EditCompleteHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<EditCompleteHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<EditCompleteHandler>`

    - #### getRowNum

          public int getRowNum()

      current index of the row that was saved
      Returns:
        current index of the row that was saved

    - #### getColNum

          public int getColNum()

      index of the column that was saved, if applicable
      Returns:
        index of the column that was saved, if applicable

    - #### getNewValues

          public java.util.Map getNewValues()

      new values that were saved
      Returns:
        new values that were saved

    - #### getNewValuesAsRecord

          public Record getNewValuesAsRecord()

      new values that were saved
      Returns:
        new values that were saved

    - #### getOldValues

          public Record getOldValues()

      the complete original values from before the save occurred
      Returns:
        the complete original values from before the save occurred

    - #### getEditCompletionEvent

          public EditCompletionEvent getEditCompletionEvent()

      Event that led to the save
      Returns:
        Event that led to the save

    - #### getDsResponse

          public DSResponse getDsResponse()

      for DataSource saves, DSResponse object returned
      Returns:
        for DataSource saves, DSResponse object returned